[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGraphic.OnChange

Event handler signalled when data in the class instance is changed.

## Declaration

Source position: graphics.pp line 856

`public property TGraphic.OnChange : TNotifyEvent read FOnChange write FOnChange;`

## Description

OnChange is a TNotifyEvent property with an event handler signalled when data in the class instance is changed.

OnChange is triggered from the Changed method (when assigned), and occurs after values in the class instance have been modified. In TGraphic, it indicates that the Modified property has been set to True. In descendent classes, which support specific image formats and provide a Canvas, it occurs more frequently.

Applications must assign an object procedure to respond to the event notification. The Sender argument contains the object which triggered the event notification.